#ifndef DATAPACKET_H
#define DATAPACKET_H
#include <QtCore>

/*! \brief This class represents a DataPacket. It is used when transfering 
 * datagrams between the NeighAware and Connection classes.
 */
class DataPacket: public QObject
{

	Q_OBJECT 
	public:
	QByteArray data;
	int id;
	DataPacket(QObject *parent= 0);
	DataPacket(const DataPacket& other);
	DataPacket& operator=(const DataPacket& other);

};

#endif
